#!/bin/bash

echo -e "Version: 1.6.0p7\nAgentOS: linux\nHostname: rhein-erft-kreis\n\n<<<local>>>"
counter=0

URL="https://www.rhein-erft-kreis.de/rss/news.xml"


## wir crawlen die presseinformationen von rhein-sieg-kreis.de und holen uns den letzten Eintrag
latestCoronaNews=`curl --silent -L ${URL} | grep -A1 "COVID-19-Lage am" | grep '<link>' | head -n1 | cut -d'>' -f2 | cut -d'<' -f1`


temp_file=$(mktemp)

curl --silent -L ${latestCoronaNews} > ${temp_file}


cat ${temp_file} | grep '<p' | egrep -v '<strong>|breadcrumbs|^<|views-field' | cut -d'>' -f2 | cut -d'<' -f1 | while read line
do
        counter=$(( ${counter}+1 ))
               
        if [ ${counter} -eq 1 ]; then ORT=${line}; ORTs=`echo ${ORT} | sed 's/ /_/g'`; fi
        if [ ${counter} -eq 2 ]; then aktQuarantaene=${line}; fi
        if [ ${counter} -eq 3 ]; then insgInfiziert=${line}; fi
        if [ ${counter} -eq 4 ]; then Genesen=${line}; fi
        if [ ${counter} -eq 5 ]; then Todesfaelle=${line}; fi
        if [ ${counter} -eq 6 ] 
        then 
            aktErkrankt=${line}
            counter=0
                        
            echo "0 Corona_${ORTs} Erkrankt=${aktErkrankt}|Infiziert=${insgInfiziert}|Genesen=${Genesen}|Todesfaelle=${Todesfaelle}|Quarantaene=${aktQuarantaene} aktuelle Fälle: ${aktErkrankt} aktuell in Quarantäne: ${aktQuarantaene} gemeldete Fälle: ${insgInfiziert} Genesene: ${Genesen} Todesfälle: ${Todesfaelle}"
        fi

done       
