#!/bin/bash

URL="https://www.ksta.de/region/rhein-erft/corona-im-rhein-erft-kreis-inzidenzwert-in-wesseling-durchbricht-die-naechste-marke-36341232"
CURL_PARAMS='-A "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:59.0) Gecko/20100101 Firefox/59.0"'



echo -e "Version: 1.6.0p7\nAgentOS: linux\nHostname: rhein-erft-kreis\n\n<<<local>>>"

C_SITE=`curl --silent -L "${CURL_PARAMS}" "${URL}"`


DATUM=`echo "${C_SITE}" | grep '<em>(Stand ' | cut -d ')' -f1 | cut -d '(' -f2`

echo "${C_SITE}" | grep "Aktuell erkrankt" | sed -e 's/<p>/\n/g'  |sed -E 's/<[\/]*[a-z]*>//g' | while read line
do
        ## CheckMK mag keine Komma in Werten
#        line=`echo ${line} | sed 's/,/./g'`

        if [ "`echo "${line}" | grep "Aktuell erkrankt" > /dev/null 2>&1; echo $?`" == "0" ]
        then
                ORT=`echo ${line} | cut -d':' -f1`
                aktErkrankt=`echo ${line} | cut -d':' -f3 | cut -d';' -f 1 | sed 's/ //g'`
                insgInfiziert=`echo ${line} | cut -d':' -f4 | cut -d';' -f 1 | sed 's/ //g'`
                Genesen=`echo ${line} | cut -d':' -f5 | cut -d';' -f 1 | sed 's/ //g'`
                Todesfaelle=`echo ${line} | cut -d':' -f6 | cut -d';' -f 1 | sed 's/ //g'`

                ## Ort-Name fuer Service
                ORTs=`echo ${ORT} | sed 's/ /_/g'`

                echo "0 Corona_${ORTs} Erkrankt=${aktErkrankt}|Infiziert=${insgInfiziert}|Genesen=${Genesen}|Todesfaelle=${Todesfaelle} ${line}"

        elif [ "`echo "${line}" | grep "7-Tage-Inzidenz" > /dev/null 2>&1; echo $?`" == "0" ]
        then
                Inzidenz=`echo ${line} | cut -d':' -f2 | cut -d';' -f 1 | cut -d',' -f1 | sed 's/ //g'`
                ORT=`echo ${line} | rev | cut -d':' -f2 | cut -d' ' -f 1 | rev | sed 's/ //g'`

                ## Okay, wir verdoppeln das kritische mal auf 100
                if [ ${Inzidenz} -ge 100 ]
                then
                        STATE=2
                ## und gewarnt wird "erst" ab 50
                elif [ ${Inzidenz} -ge 50 ]
                then
                        STATE=1
                else
                        STATE=0
                fi

                echo "${STATE} ${ORT}_Inzidenz Inzidenz=${Inzidenz} ${line} Stand: ${DATUM}" 


        fi
        
done
